OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
MultiResGrid< TreeType >::MaskOp Struct Reference

`#include <MultiResGrid.h>`

## Public Types
using | MaskT = typename TreeType::template ValueConverter< ValueMask >::Type
using | PoolType = tbb::enumerable_thread_specific< TreeType >
using | ManagerT = tree::LeafManager< const MaskT >
using | RangeT = typename ManagerT::LeafRange
using | VoxelIterT = typename ManagerT::LeafNodeType::ValueOnCIter

## Public Member Functions
| MaskOp (const TreeType &fineTree, TreeType &coarseTree, size_t grainSize=1)
void | operator() (const RangeT &range) const

## Public Attributes
PoolType * | mPool

## Member Typedef Documentation

## ◆ ManagerT

using ManagerT = tree::LeafManager<const MaskT>

## ◆ MaskT

using MaskT = typename TreeType::template ValueConverter<ValueMask>::Type

## ◆ PoolType

using PoolType = tbb::enumerable_thread_specific<TreeType>

## ◆ RangeT

using RangeT = typename ManagerT::LeafRange

## ◆ VoxelIterT

using VoxelIterT = typename ManagerT::LeafNodeType::ValueOnCIter

## Constructor & Destructor Documentation

## ◆ MaskOp()

MaskOp | ( | const TreeType & | fineTree,
|  | TreeType & | coarseTree,
|  | size_t | grainSize = `1`
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const RangeT & | range | ) | const
| inline

## Member Data Documentation

## ◆ mPool

PoolType* mPool

The documentation for this struct was generated from the following file:

- MultiResGrid.h